--- Makefile.am 	1970-01-01 01:00:00.000000000 +0100
+++ Makefile.am	2008-01-29 18:53:56.000000000 +0000
@@ -0,0 +1,3 @@
+SUBDIRS = Demo Source
+EXTRA_DIST = Doc/ChangeLog README.txt
+include_HEADERS = Include/ccolamd.h
--- configure.ac 	1970-01-01 01:00:00.000000000 +0100
+++ configure.ac	2008-01-29 18:54:17.000000000 +0000
@@ -0,0 +1,13 @@
+#                                               -*- Autoconf -*-
+AC_PREREQ(2.59)
+AC_INIT(ccolamd, 2.7.1, davis@cise.ufl.edu)
+AM_INIT_AUTOMAKE([foreign])
+AC_PROG_INSTALL
+AC_PROG_LIBTOOL
+AC_CHECK_LIB(m, sqrt)
+AC_CHECK_HEADERS(UFconfig.h)
+AC_CONFIG_FILES([
+    Source/Makefile
+    Demo/Makefile
+    Makefile])
+AC_OUTPUT
--- Source/Makefile.am 	1970-01-01 01:00:00.000000000 +0100
+++ Source/Makefile.am	2008-01-29 18:53:56.000000000 +0000
@@ -0,0 +1,10 @@
+AM_CPPFLAGS = -I$(top_srcdir)/Include
+lib_LTLIBRARIES = libccolamd.la
+noinst_LTLIBRARIES = libccolamdl.la libccolamdi.la
+
+libccolamdl_la_SOURCES = ccolamd.c
+libccolamdl_la_CPPFLAGS = $(AM_CPPFLAGS) -DDLONG
+libccolamdi_la_SOURCES = ccolamd.c
+
+libccolamd_la_SOURCES = ccolamd_global.c
+libccolamd_la_LIBADD = libccolamdl.la libccolamdi.la
--- Demo/Makefile.am 	1970-01-01 01:00:00.000000000 +0100
+++ Demo/Makefile.am	2008-01-29 18:55:44.000000000 +0000
@@ -0,0 +1,22 @@
+AM_CPPFLAGS = -I$(top_srcdir)/Include
+
+check_PROGRAMS = \
+	ccolamd_example \
+	ccolamd_l_example
+
+LDADD = $(top_builddir)/Source/libccolamd.la -lm
+ccolamd_example_SOURCES = ccolamd_example.c
+ccolamd_l_example_SOURCES = ccolamd_l_example.c
+
+check-local: $(check_PROGRAMS)
+	@for i in $(check_PROGRAMS); do \
+		echo "Testing $$i"; \
+		./$$i > my_$$i.out; \
+		if ! diff $(srcdir)/$$i.out my_$$i.out; then \
+			echo "Test $$i failed!"; \
+			exit 1; \
+		fi \
+	done;
+
+clean-local:
+	rm -f my*.out
